Package org.eclipse.rdf4j.http.protocol.transaction.operations

## Class AddStatementOperation

- java.lang.Object
- - org.eclipse.rdf4j.http.protocol.transaction.operations.ContextOperation
  - - org.eclipse.rdf4j.http.protocol.transaction.operations.StatementOperation
    - - org.eclipse.rdf4j.http.protocol.transaction.operations.AddStatementOperation

- All Implemented Interfaces:
    `Serializable`, `TransactionOperation`

      public class AddStatementOperation
      extends StatementOperation
      implements Serializable

  Operation to add a statement.
  Author:
    Arjohn Kampman, Leo Sauermann
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.http.protocol.transaction.operations.ContextOperation

      `contexts`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddStatementOperation​(Resource subj, IRI pred, Value obj, Resource... contexts)` | Create an AddStatementOperation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object other)` |
    `void` | `execute​(RepositoryConnection con)` | Executes this operation on the supplied connection.

    - ### Methods inherited from class org.eclipse.rdf4j.http.protocol.transaction.operations.StatementOperation

      `getObject, getPredicate, getSubject, hashCode, setObject, setPredicate, setSubject`

    - ### Methods inherited from class org.eclipse.rdf4j.http.protocol.transaction.operations.ContextOperation

      `getContexts, setContexts`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddStatementOperation

          public AddStatementOperation​(Resource subj,
                                       IRI pred,
                                       Value obj,
                                       Resource... contexts)

      Create an AddStatementOperation.

  - ### Method Detail

    - #### execute

          public void execute​(RepositoryConnection con)
                       throws RepositoryException

      Description copied from interface: `TransactionOperation`
      Executes this operation on the supplied connection.
      Specified by:
        `execute` in interface `TransactionOperation`
      Parameters:
        `con` - The connection the operation should be performed on.
      Throws:
        `RepositoryException` - If such an exception is thrown by the connection while executing the operation.

    - #### equals

          public boolean equals​(Object other)

      Overrides:
        `equals` in class `StatementOperation`